Bug 1001139 - Abrt uses wrong log priority for some messages.
Abrt uses wrong log priority for some messages.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 10:41 EDT by Lukáš Nykrýn
Modified: 2016-01-31 21:23 EST (History)
10 users (show)

See Also:
Fixed In Version: gnome-abrt-0.3.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 23:53:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl output (2.87 KB, text/plain)
2013-08-26 10:57 EDT, Lukáš Nykrýn
no flags Details

  None (edit)
Description Lukáš Nykrýn 2013-08-26 10:41:44 EDT
Description of problem:
Abrt uses wrong priority levels for some messages.

Version-Release number of selected component (if applicable):
abrt-2.1.6-3.fc19

How reproducible:
always

Steps to Reproduce:
journalctl -b -u abrtd.service -p err

Actual results:
See attached output.

Expected results:
Log messages like "Init complete, entering main loop" should not appear, when user wants to display only error and worse messages.
Comment 1 Lukáš Nykrýn 2013-08-26 10:57:07 EDT
Created attachment 790559 [details]
journalctl output
Comment 2 Jiri Moskovcak 2013-08-27 02:28:44 EDT
Yes, all our log messages are written to syslog as ERR:

 syslog(LOG_ERR, "%s", msg + prefix_len);

which we shouldn't.
Comment 3 Richard Marko 2013-10-27 15:29:39 EDT
commit b50a5f7a27d5f6afe893d946b4a3278161c1fc84
Author: Richard Marko <rmarko@redhat.com>
Date:   Tue Oct 15 12:37:54 2013 +0200

    Use log_ family instead of VERBn log calls
    
    Related to rhbz#1001139
    
    Signed-off-by: Richard Marko <rmarko@redhat.com>
Comment 4 Fedora Update System 2013-10-29 00:58:10 EDT
gnome-abrt-0.3.3-1.fc19,abrt-2.1.9-1.fc19,libreport-2.1.9-1.fc19,satyr-0.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.3-1.fc19,abrt-2.1.9-1.fc19,libreport-2.1.9-1.fc19,satyr-0.11-1.fc19
Comment 5 Fedora Update System 2013-10-29 21:51:30 EDT
Package gnome-abrt-0.3.3-1.fc19, abrt-2.1.9-1.fc19, libreport-2.1.9-1.fc19, satyr-0.11-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.3-1.fc19 abrt-2.1.9-1.fc19 libreport-2.1.9-1.fc19 satyr-0.11-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20261/gnome-abrt-0.3.3-1.fc19,abrt-2.1.9-1.fc19,libreport-2.1.9-1.fc19,satyr-0.11-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-31 23:53:56 EDT
gnome-abrt-0.3.3-1.fc19, abrt-2.1.9-1.fc19, libreport-2.1.9-1.fc19, satyr-0.11-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.